Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
ACG::SceneGraph::GLSL::UniformPool Class Reference

GLSL uniform pool. More...

## Classes
struct | UniformBase
struct | UniformBuf
struct | UniformMat
struct | UniformVecf
struct | UniformVeci
struct | UniformVecui

## Public Member Functions
| UniformPool ()
| Constructor.
| UniformPool (const UniformPool &_pool)
| Copy Constructor.
void | bind (PtrProgram _prog) const
void | bind (GLuint _prog) const
void | setUniform (const char *_name, GLint _value)
void | setUniform (const char *_name, const ACG::Vec2i &_value)
void | setUniform (const char *_name, const ACG::Vec3i &_value)
void | setUniform (const char *_name, const ACG::Vec4i &_value)
void | setUniform (const char *_name, GLuint _value)
void | setUniform (const char *_name, const ACG::Vec2ui &_value)
void | setUniform (const char *_name, const ACG::Vec3ui &_value)
void | setUniform (const char *_name, const ACG::Vec4ui &_value)
void | setUniform (const char *_name, GLfloat _value)
void | setUniform (const char *_name, const ACG::Vec2f &_value)
void | setUniform (const char *_name, const ACG::Vec3f &_value)
void | setUniform (const char *_name, const ACG::Vec4f &_value)
void | setUniform (const char *_name, const ACG::GLMatrixf &_value, bool _transposed=false)
void | setUniformMat3 (const char *_name, const ACG::GLMatrixf &_value, bool _transposed=false)
void | setUniform (const char *_name, GLint *_values, int _count)
void | setUniform (const char *_name, GLfloat *_values, int _count)
void | addPool (const UniformPool &_src)
void | clear ()
| Clear the pool. More...
bool | empty () const
| returns if the pool is empty More...
| UniformPool ()
| Constructor.
| UniformPool (const UniformPool &_pool)
| Copy Constructor.
void | bind (PtrProgram _prog) const
void | bind (GLuint _prog) const
void | setUniform (const char *_name, GLint _value)
void | setUniform (const char *_name, const ACG::Vec2i &_value)
void | setUniform (const char *_name, const ACG::Vec3i &_value)
void | setUniform (const char *_name, const ACG::Vec4i &_value)
void | setUniform (const char *_name, GLuint _value)
void | setUniform (const char *_name, const ACG::Vec2ui &_value)
void | setUniform (const char *_name, const ACG::Vec3ui &_value)
void | setUniform (const char *_name, const ACG::Vec4ui &_value)
void | setUniform (const char *_name, GLfloat _value)
void | setUniform (const char *_name, const ACG::Vec2f &_value)
void | setUniform (const char *_name, const ACG::Vec3f &_value)
void | setUniform (const char *_name, const ACG::Vec4f &_value)
void | setUniform (const char *_name, const ACG::GLMatrixf &_value, bool _transposed=false)
void | setUniformMat3 (const char *_name, const ACG::GLMatrixf &_value, bool _transposed=false)
void | setUniform (const char *_name, GLint *_values, int _count)
void | setUniform (const char *_name, GLfloat *_values, int _count)
void | addPool (const UniformPool &_src)
void | clear ()
| Clear the pool. More...
bool | empty () const
| returns if the pool is empty More...

## Private Types
typedef std::list< UniformBase * > | UniformList
typedef UniformList::iterator | UniformListIt
typedef std::list< UniformBase * > | UniformList
typedef UniformList::iterator | UniformListIt

## Private Member Functions
UniformListIt | findEntry (std::string _name)
void | addVecf (const UniformVecf &_vec)
void | addVeci (const UniformVeci &_vec)
void | addVecui (const UniformVecui &_vec)
void | addMatrix (const UniformMat &_mat)
void | addBuf (const char *_name, void *_values, int _count, bool _integer)
UniformListIt | findEntry (std::string _name)
void | addVecf (const UniformVecf &_vec)
void | addVeci (const UniformVeci &_vec)
void | addVecui (const UniformVecui &_vec)
void | addMatrix (const UniformMat &_mat)
void | addBuf (const char *_name, void *_values, int _count, bool _integer)

## Private Attributes
UniformList | pool_
| list of uniform params

## Detailed Description

GLSL uniform pool.

A uniform pool collects values for shader uniforms

Definition at line 71 of file MeshNode2T.cc.

## Member Function Documentation

void ACG::SceneGraph::GLSL::UniformPool::clear | ( |  | ) |

Clear the pool.

void ACG::SceneGraph::GLSL::UniformPool::clear | ( |  | ) |

Clear the pool.

bool ACG::SceneGraph::GLSL::UniformPool::empty | ( |  | ) | const

returns if the pool is empty

Returns
  empty pool?

bool ACG::SceneGraph::GLSL::UniformPool::empty | ( |  | ) | const

returns if the pool is empty

Returns
  empty pool?

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc